'use strict';

/**
* Copyright (c) 2017 Copyright taijin All Rights Reserved.
* Author: lipengxiang
* Date: 2018-06-15 14:21
* Desc: 
*/

var components = require('./components');

const api =      components.api;
const utils =    components.utils;

const base = {
  badge:             components.all_components.badge.default,
  loadmore:           components.all_components.loadmore.default,
  swiper:            components.all_components.swiper.default,
  swiperPage:        components.all_components.swiperPage.default,
  webView:           components.all_components.webView.default,
}

const input = {
  checkbox:     components.all_components.checkbox.default,
  radioButton:  components.all_components.radioButton.default,
  searchBar:    components.all_components.searchBar.default,
  slider:       components.all_components.slider.default,
  switchButton: components.all_components.switchButton.default,
  textInput:    components.all_components.textInput.default,
}

const layout = {
  grid_star:    components.all_components.grid_star.default,
  grid:         components.all_components.grid.default,
  gridCell:     components.all_components.gridCell.default,

  navbar:             components.all_components.navbar.default,
  navbarItemLeft:     components.all_components.navbarItemLeft.default,
  navbarItemRight:    components.all_components.navbarItemRight.default,
  navbarViewRouter:  components.all_components.navbarViewRouter.default,
  navbarView_router:  components.all_components.navbarViewRouter.default,

  tabbar:             components.all_components.tabbar.default,
  tabbarItem:         components.all_components.tabbarItem.default,
  tabbarItemIcon:     components.all_components.tabbarItemIcon.default,
  tabbarItemTitle:    components.all_components.tabbarItemTitle.default,
  tabbarViewRouter:  components.all_components.tabbarViewRouter.default,
  tabbarView_router:  components.all_components.tabbarViewRouter.default,
  tabbarContentAlways: components.all_components.tabbarContentAlways.default,

  tableView:            components.all_components.tableView.default,
  tableViewCell:        components.all_components.tableViewCell.default,
  tableViewCellCenter:  components.all_components.tableViewCellCenter.default,
  tableViewCellLeft:    components.all_components.tableViewCellLeft.default,
  tableViewCellRight:   components.all_components.tableViewCellRight.default,

  menuList:           components.all_components.menuList.default,
  menuListItem:       components.all_components.menuListItem.default,
  menuListViewRouter: components.all_components.menuListViewRouter.default,
  menuListView_router: components.all_components.menuListViewRouter.default,

  scrollView:           components.all_components.scrollView.default,
  lazyView:             components.all_components.lazyView.default,
}

const widget = {
  actionSheet:          components.all_components.actionSheet.default,
  popover:              components.all_components.popover.default,
  picker:               components.all_components.picker.default,
  pickerDatasourceDate: components.widget.pickerDatasourceDate,
  pickerDatasourceTime: components.widget.pickerDatasourceTime,
  dialogbox:               components.all_components.dialogbox.default,
  dialogboxButton:         components.all_components.dialogboxButton.default,
  dialogboxButtons:        components.all_components.dialogboxButtons.default,
  dialogboxContent:        components.all_components.dialogboxContent.default,
  dialogboxTitle:          components.all_components.dialogboxTitle.default,
  fixedbox:                components.all_components.fixedbox.default,
}

const icon = {
  iconBack:   components.all_components.iconBack.default,
  iconCancel: components.all_components.iconCancel.default,
  iconDelete: components.all_components.iconDelete.default,
  iconMenu1:  components.all_components.iconMenu1.default,
  iconMenu2:  components.all_components.iconMenu2.default,
  iconOk:     components.all_components.iconOk.default,
  iconPlus:     components.all_components.iconPlus.default,
  iconSetting: components.all_components.iconSetting.default,
  iconUser:   components.all_components.iconUser.default,
}


// 用于组件注册.
const all_components = {
  // icons.
  iconBack:   components.all_components.iconBack.default,
  iconCancel: components.all_components.iconCancel.default,
  iconDelete: components.all_components.iconDelete.default,
  iconMenu1:  components.all_components.iconMenu1.default,
  iconMenu2:  components.all_components.iconMenu2.default,
  iconOk:     components.all_components.iconOk.default,
  iconPlus:     components.all_components.iconPlus.default,
  iconSetting: components.all_components.iconSetting.default,
  iconUser:   components.all_components.iconUser.default,

  // input.
  checkbox:     components.all_components.checkbox.default,
  radioButton:  components.all_components.radioButton.default,
  searchBar:    components.all_components.searchBar.default,
  slider:       components.all_components.slider.default,
  switchButton: components.all_components.switchButton.default,
  textInput:    components.all_components.textInput.default,

  // layout.
  grid_star:    components.all_components.grid_star.default,
  grid:         components.all_components.grid.default,
  gridCell:     components.all_components.gridCell.default,

  navbar:             components.all_components.navbar.default,
  navbarItemLeft:     components.all_components.navbarItemLeft.default,
  navbarItemRight:    components.all_components.navbarItemRight.default,
  navbarViewRouter:  components.all_components.navbarViewRouter.default,
  navbarView_router:  components.all_components.navbarViewRouter.default,

  tabbar:             components.all_components.tabbar.default,
  tabbarItem:         components.all_components.tabbarItem.default,
  tabbarItemIcon:     components.all_components.tabbarItemIcon.default,
  tabbarItemTitle:    components.all_components.tabbarItemTitle.default,
  tabbarViewRouter:  components.all_components.tabbarViewRouter.default,
  tabbarView_router:  components.all_components.tabbarViewRouter.default,
  tabbarContentAlways: components.all_components.tabbarContentAlways.default,

  tableView:            components.all_components.tableView.default,
  tableViewCell:        components.all_components.tableViewCell.default,
  tableViewCellCenter:  components.all_components.tableViewCellCenter.default,
  tableViewCellLeft:    components.all_components.tableViewCellLeft.default,
  tableViewCellRight:   components.all_components.tableViewCellRight.default,

  menuList:       components.all_components.menuList.default,
  menuListItem:   components.all_components.menuListItem.default,
  menuListViewRouter: components.all_components.menuListViewRouter.default,
  menuListView_router: components.all_components.menuListViewRouter.default,
  
  scrollView:           components.all_components.scrollView.default,
  lazyView:             components.all_components.lazyView.default,

  // widget.
  actionSheet:          components.all_components.actionSheet.default,
  popover:              components.all_components.popover.default,
  picker:               components.all_components.picker.default,
  dialogbox:               components.all_components.dialogbox.default,
  dialogboxButton:         components.all_components.dialogboxButton.default,
  dialogboxButtons:        components.all_components.dialogboxButtons.default,
  dialogboxContent:        components.all_components.dialogboxContent.default,
  dialogboxTitle:          components.all_components.dialogboxTitle.default,
  fixedbox:                components.all_components.fixedbox.default,

  // base.
  badge:                components.all_components.badge.default,
  loadmore:             components.all_components.loadmore.default,
  swiper:               components.all_components.swiper.default,
  swiperPage:           components.all_components.swiperPage.default,
  webView:              components.all_components.webView.default,
};

let exportobj = {
  api,
  utils,
  
  base,
  input,
  layout,
  widget,
  icon,

  // 用于组件注册.
  all_components,
}

for (const key in all_components) {
  exportobj[key] = all_components[key];
}

module.exports = exportobj;

global.febsvue = module.exports;