'use strict';

/**
 * Copyright (c) 2017 Copyright taijin All Rights Reserved.
 * Author: lipengxiang
 * Date: 2018-06-13 14:01
 * Desc: 
 */

// require('babel-polyfill');

var webpack = require('webpack');
var nuxtConfig = require('febs-vue/libs/nuxtConfig');

var config = {
  dev: true,
  /*
   ** Headers of the page
   */
  head: {
    title: 'febs-vue',
    meta: [{
      charset: 'utf-8'
    }, {
      name: 'apple-mobile-web-app-title',
      content: 'febs-vue'
    }, {
      hid: 'description',
      name: 'description',
      content: 'Nuxt.js project'
    }],
    link: [{
      rel: 'icon',
      type: 'image/x-icon',
      href: '/favicon.ico'
    }],
    script: []
  },
  /**
   * style.
   */
  css: [
    'febs-ui/febsui.css',
    'febs-vue/index.css',
  ],
  /*
   ** Customize the progress bar color
   */
  loading: {
    color: '#3B8070'
  },
  /**
   * router.
   */
  router: {
  },
  /**
   * Plugins.
   */
  plugins: [
    '~/plugins/febsvue'
  ],
  /*
   ** Build configuration
   */
  build: {
    // // babel.
    // babel: {
    //   presets: ['es2015', 'stage-0', 'es2015-loose'],
    //   plugins: [
    //     'transform-runtime',
    //     // 'transform-es3-property-literals',
    //     // 'transform-es3-member-expression-literals',
    //     // 'transform-es2015-modules-simple-commonjs',
    //   ]
    // },
    analyze: {
      defaultSizes: 'gzip',
    },
    publicPath: '/static/',
    vendor: [],
    plugins: [
      new webpack.ProvidePlugin({
        // $: 'febs.$'
      }),
      new webpack.DefinePlugin({
        'process.VERSION': require('./package.json').version
      })
    ],
    /*
     ** Run ESLint on save
     */
    extend(config, {
      isDev,
      isClient,
      isServer
    }) {
      
    }
  }
}


module.exports = nuxtConfig(config);